org.kie.internal.executor.api

## Interface ExecutorQueryService

- All Superinterfaces:
    org.kie.api.executor.ExecutorQueryService

      public interface ExecutorQueryService
      extends org.kie.api.executor.ExecutorQueryService

  See Also:
    `ExecutorQueryService`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.executor.ErrorInfo>` | `getAllErrors()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getAllRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getCancelledRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getCompletedRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getFutureQueuedRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getInErrorRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getPendingRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getQueuedRequests()` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByStatus(List<org.kie.api.executor.STATUS> statuses)` Deprecated. use equivalent method with paging arguments
    `List<org.kie.api.executor.RequestInfo>` | `getRunningRequests()` Deprecated. use equivalent method with paging arguments

    - ### Methods inherited from interface org.kie.api.executor.ExecutorQueryService

      `getAllErrors, getAllRequests, getCancelledRequests, getCompletedRequests, getErrorsByRequestId, getFutureQueuedRequests, getInErrorRequests, getPendingRequestById, getPendingRequests, getQueuedRequests, getRequestByBusinessKey, getRequestByCommand, getRequestById, getRequestForProcessing, getRequestForProcessing, getRequestsByBusinessKey, getRequestsByCommand, getRequestsByDeployment, getRequestsByProcessInstance, getRequestsByStatus, getRunningRequests`

- - ### Method Detail

    - #### getQueuedRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getQueuedRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all queued requests
      Returns:

    - #### getCompletedRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getCompletedRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all comleted requests.
      Returns:

    - #### getInErrorRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getInErrorRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all requests that have errors.
      Returns:

    - #### getCancelledRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getCancelledRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all requests that were cancelled
      Returns:

    - #### getAllErrors

          @Deprecated
          List<org.kie.api.executor.ErrorInfo> getAllErrors()

      Deprecated. use equivalent method with paging arguments
      Returns all errors.
      Returns:

    - #### getAllRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getAllRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all requests
      Returns:

    - #### getRunningRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getRunningRequests()

      Deprecated. use equivalent method with paging arguments
      Returns all currently running requests
      Returns:

    - #### getFutureQueuedRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getFutureQueuedRequests()

      Deprecated. use equivalent method with paging arguments
      Returns requests queued for future execution
      Returns:

    - #### getRequestsByStatus

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getRequestsByStatus(List<org.kie.api.executor.STATUS> statuses)

      Deprecated. use equivalent method with paging arguments
      Returns requests based on their status
      Parameters:
        `statuses` - - statuses that requests should be in
      Returns:

    - #### getPendingRequests

          @Deprecated
          List<org.kie.api.executor.RequestInfo> getPendingRequests()

      Deprecated. use equivalent method with paging arguments
      Returns list of pending execution requests.
      Returns:

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.